Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Class Controller

    java.lang.Object
      de.jsystems.framework.common.Controller

All Implemented Interfaces:
  FrameworkKonstanten, IController, IMessageTexte, IProgressSender

Direct Known Subclasses:
  BusinessAppletController, BusinessDialogController, BusinessFrameController, BusinessInternalFrameController

public abstract class Controller
extends Object
implements IController

Abstrakte Controllerklasse. In dieser Kontrollerklasse wird all das abgearbeitet, was alle Kontroller als Eigenschaften unterstützen sollen. Dazu gehört das Laden, Speichern und Drucken. Auch der Zugriff auf die Statuszeile und die Fortschrittsanzeige im Startbild geschieht über den Controller. Die Views und zugehörige Models werden ebenfalls hier verwaltet. Auch die Actions werden hier registriert. Allerdings gibt der Controller diese aufrufe dann an die Klasse `ActionManager` weiter. Alle weiteren Controller werden von dieser Klasse abgeleitet.

Version:
  1.0
  Copyright by Jens Homm 2003
Author:
  Jens Homm JSYSTEMS

Field Summary
`protected ActionManager` | `actionManager` Der ActionManager fuer die Controls der registrierten Views.
`protected List` | `ausgewaehlteModels` Zur ausgewählten View gehörende Models.
`protected BusinessView` | `ausgewaehlteView` Die View, die gerade im Dialog angezeigt wird.
`protected BusinessMenu` | `menu` Menü.
`protected HashMap` | `models` Hashtable für die registrierten Models.
`protected BusinessPopup` | `popup` Popup-Menü.
`protected Printer` | `printer` Printerobjekt für das Drucken.
`protected StartUpPic` | `startbild` Startbild.
`protected DefaultStatusZeile` | `statuszeile` Statuszeile.
`protected Systemdialoge` | `systemdialoge` Systemdialoge.
`protected BusinessToolbar` | `toolbar` Toolbar.
`protected HashMap` | `views` Hashtable für die registrierten Views.

Fields inherited from interface de.jsystems.framework.common.FrameworkKonstanten
`DEFAULT, EDITMODE, FRAMEWORK_LAF, METAL_LAF, MOTIF_LAF, NEWMODE, OHNE, ONLY_MENU, ONLY_TOOLBAR, SHOWMODE, WINDOWS_LAF`

Fields inherited from interface de.jsystems.framework.common.IMessageTexte
`FEHLER, FEHLER_AUFGETRETEN`

Constructor Summary
`Controller()` Initialisiert die Hashtables für die Views und Models und erzeugt ein Standardmenü sowie eine Standardtoolbar.
`Controller(int auspraegung)` Initialisiert die Hashtables für die Views und Models und erzeugt gegebenenfalls Menü und Toolbar.

Method Summary
`void` | `about()` Wird von der `AboutAction` aufgerufen.
`boolean` | `canExit()` Prüft, ob die Applikation beendet werden kann oder nicht(weil z.B. noch gespeichert werden muß).
`void` | `close()` Wird von der `CloseAction` aufgerufen.
`void` | `copy()` Wird von der `CopyAction` aufgerufen.
`protected void` | `createDefaultMenu()` Erzeugt ein Standardmenu mit den meistens benötigten Menüpunkten und speichert es in einer Instanzvaribalen des Controllers.
`protected void` | `createDefaultPopup()` Erzeugt ein Standardpopup mit den meistens benötigten Menüpunkten und speichert es in einer Instanzvaribalen des Controllers.
`protected void` | `createDefaultToolbar()` Erzeugt eine Standardtoolbar und speichert sie in einer Instanzvariablen des Controllers.
`protected BusinessMenu` | `createMenu(String propFile)` Diese Methode erzeugt ein Menü aufgrund des Inhaltes einer Properties-Datei.
`void` | `createNew()` Wird von der `NewAction` aufgerufen.
`protected BusinessPopup` | `createPopup(String propFile)` Diese Methode erzeugt ein Popup-Menü aufgrund des Inhaltes einer Properties-Datei.
`protected BusinessToolbar` | `createToolbar(String propFile)` Diese Methode erzeugt eine Toolbar aufgrund des Inhaltes einer Properties-Datei.
`void` | `cut()` Wird von der `CutAction` aufgerufen.
`void` | `delete()` Wird von der `DeleteAction` aufgerufen.
`void` | `edit()` Wird von der `EditAction` aufgerufen.
`void` | `exceptionInAction(AbstractAction action, Exception exception)` Diese Methode wird aufgerufen, wenn in einer Action eine Exception aufgetreten ist.
`ActionManager` | `getActionManager()` Gibt den ActionManager des Controllers zurueck.
`List` | `getAusgewaehlteModels()` Gibt, sofern vorhanden, die zur ausgewählten View gehörenden Models zurück.
`protected BusinessMenu` | `getMenue()` Gibt die beim Initalisieren oder später mit der Methode `createDefaultMenu()` erzeugte Menüleiste zurück.
`MessageList` | `getMessageList()` Gibt die MessageList des Controllers zurück.
`protected BusinessPopup` | `getPopup()` Gibt das mit der Methode `createPopup(String)` erzeugte Popupmenü zurück.
`protected DefaultStatusZeile` | `getStatusArea()` Gibt die DefaultstatusZeile zurück, die im Konstruktor angelegt wurde.
`protected BusinessToolbar` | `getToolbar()` Gibt die beim Initalisieren oder später mit der Methode `createDefaultToolbar()` erzeugte Toolbar zurück.
`BusinessView` | `getView(String name)` Holt aus der Tabelle mit den registrierten Views die unter dem übergebenem Namen registrierte View heraus.
`void` | `help()` Wird von der `HelpAction` aufgerufen.
`void` | `info()` Wird von der `InfoAction` aufgerufen.
`void` | `load()` Ruft in allen Models der ausgewaehlten View, sofern die View Models hat, die Methode `BusinessModel.load()` auf.
`void` | `paste()` Wird von der `PasteAction` aufgerufen.
`void` | `print()` Druckt eine Componente.
`void` | `redo()` Wird von der `RedoAction` aufgerufen.
`void` | `registerModel(String name, BusinessModel model)` Registriert ein zu einer View gehörendes Model.
`void` | `registerView(BusinessView view)` Registriert die uebergebene View im Controller und ließt alle in der View als Actionsensitiv gekennzeichneten Komponenten aus.
`void` | `registerViewActionControls(BusinessView view)` Wird von der Methode `registerView(BusinessView)` aufgerufen.
`void` | `save()` Ruft in allen Models der ausgewaehlten View, sofern die View Models hat, die Methode `BusinessModel.save()` auf.
`void` | `saveAs()` Ruft in allen Models der ausgewaehlten View, sofern die View Models hat, die Methode `BusinessModel.save_as()` auf.
`void` | `setDefaultLookAndFeel()` Setzt das Default-LookAndFeel des benutzen Betriebssystems.
`protected void` | `setLastLookAndFeel()` Aktiviert das letzte gesetzte LookAndFeel der Anwendung.
`protected void` | `setLookAndFeel(String lookAndFeel)` Legt das Aussehen der Oberfläche fest.
`protected void` | `setStartUpProcent(String procent)` Setzt die prozentuale Anzeige der Fortschrittsanzeige.
`protected void` | `setStartUpStatus(String s)` Setzt den Statustext für das Startbild.
`protected void` | `setStatusText(String text)` Setzt den Text für die Statuszeile.
`void` | `show()` Wird von der `ShowAction` aufgerufen.
`protected void` | `showPopup(BusinessView view, MouseEvent event)` Zeig das Popup-Menü auf der uebergebenen BusinessView an.
`void` | `toggleStatusArea()` Wird von den Abgeleiteten klassen überschrieben.
`void` | `toggleToolbar()` Wird von den abgeleiteten Klassen überschrieben.
`void` | `undo()` Wird von der `UndoAction` aufgerufen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### printer

    protected Printer printer

  Printerobjekt für das Drucken.

### views

    protected HashMap views

  Hashtable für die registrierten Views.

### models

    protected HashMap models

  Hashtable für die registrierten Models.

### ausgewaehlteView

    protected BusinessView ausgewaehlteView

  Die View, die gerade im Dialog angezeigt wird.

### ausgewaehlteModels

    protected List ausgewaehlteModels

  Zur ausgewählten View gehörende Models.

### toolbar

    protected BusinessToolbar toolbar

  Toolbar.

### menu

    protected BusinessMenu menu

  Menü.

### popup

    protected BusinessPopup popup

  Popup-Menü.

### statuszeile

    protected DefaultStatusZeile statuszeile

  Statuszeile.

### systemdialoge

    protected Systemdialoge systemdialoge

  Systemdialoge.

### startbild

    protected StartUpPic startbild

  Startbild.

### actionManager

    protected final ActionManager actionManager

  Der ActionManager fuer die Controls der registrierten Views.

Constructor Detail

### Controller

    public Controller()

  Initialisiert die Hashtables für die Views und Models und erzeugt ein Standardmenü sowie eine Standardtoolbar. Falls ein eigenes Menü gewünscht ist muß die abgeleitete Klasse ein eigenes Menü mit der Methode `createMenu` erzeugen. Falls eine eigene Toolbar gewünscht ist muß die abgeleitete Klasse eine eigene Toolbar mit der Methode `createToolbar` erzeugen. Bei eigenen Menüs und/oder Toolbars ist es besser, den Konstruktor mit Parameter aufzurufen, da so das erzeugen des Standardmenüs bzw. der Standardtoolbar verhindert wird. Hier wird auch die StatusArea angelegt.

### Controller

    public Controller(int auspraegung)

  Initialisiert die Hashtables für die Views und Models und erzeugt gegebenenfalls Menü und Toolbar. Ob und was erzeugt wird ist abhängig vom Parameter. Dieser kann folgende Werte annehmen:
  - `FrameworkKonstanten.DEFAULT` - Erzeugt ein Standardmenü und eine Standardtoolbar.
  - `FrameworkKonstanten.ONLY_MENU` - Erzeugt nur ein Standardmenü.
  - `FrameworkKonstanten.ONLY_TOOLBAR` - Erzeugt nur eine Standdardtoolbar.
  - `FrameworkKonstanten.OHNE` - Erzeugt nichts.

    Das LookAndFeel der Anwendung wird auf das `FrameworkKonstanten.FRAMEWORK_LAF` festgelegt.

Parameters:
  `auspraegung` - Festlegung uber die Initialisierung des Controllers.

Method Detail

### registerModel

    public void registerModel(String name,
                              BusinessModel model)

  Registriert ein zu einer View gehörendes Model. Allerdings muß eine View nicht unbedingt ein Model haben. Als Name unter dem das Model registriert werden soll muß der Name der zugehörigen View angegeben werden. Zu einer View kann auch mehr als ein Model registriert werden. Die Models zu einer View können über die Methode `getAusgewaehlteModels()` wieder geholt werden. Falls unter dem uebergebenen Namen noch keine View registriert ist, so macht das auch nichts. Die Models koennen trotzdem registriert werden. Wenn einer der beiden Parameter `NULL` ist wird eine `IllegalArgumentException ausgeloest`.

  Specified by:
    `registerModel` in interface `IController`
  Parameters:
    `name` - Name der View, zu der das Model gehört.
    `model` - Das zur View gehörende Model.

### registerView

    public void registerView(BusinessView view)
                      throws ViewAlreadyExistsException,
                             CreateActionException

  Registriert die uebergebene View im Controller und ließt alle in der View als Actionsensitiv gekennzeichneten Komponenten aus. Damit werden dann die in den Controls hinterlegten Actionklassen mit dem Control verknuepft. Das Triggern der entsprechenden Action uebernimmt dabei der `ActionManager`. Die View wird mit ihrem Namen registriert (`BusinessView.getViewName()`). Falls es schon eine View mit diesem Namen gibt, wird die Registrierung abgewiesen und eine Exception geworfen.

  Specified by:
    `registerView` in interface `IController`
  Parameters:
    `view` - Die BusinessView, die registriert werden soll.
  Throws:
    `ViewAlreadyExistsException` - wenn diese View schon einmal registriert wurde. Das Kriterium ist dabei der Name, den die Methode `BusinessView.getViewName()` der View zurueckgibt.
    `IllegalArgumentException` - wenn die uebergebene View NULL ist.
    `CreateActionException` - wenn beim erzeugen einer Action ein Fehler auftritt.
  See Also:
    `registerViewActionControls(BusinessView)`

### registerViewActionControls

    public void registerViewActionControls(BusinessView view)
                                    throws CreateActionException

  Wird von der Methode `registerView(BusinessView)` aufgerufen. Hier werden alle Controls der Oberflaeche durchgegangen, fuer die eine Action registriert werden soll. Dabei kann fuer ein Control durchaus auch mehr als eine Action registriert werden, je nachdem wieviele Events das Control ausloesen kann. Das Control enthaelt dabei selbst die Namen der entsprechenden Action-Klassen. Diese werden hier ausgelesen und an den `ActionManager` uebergeben. Damit diese noetigen Werte ausgelesen werden koennen, muessen die Controls die Frameworkspezifischen Controls sein. Das sind alle Klassen aus dem Package `de.jsystems.framework.controls`. Hier implementieren diese Controls das Interface `IActionInterface`. Bei diesem Interface handelt es sich um ein sogenanntes MarkerInterface. Damit ist dann aber festgelegt, das die Klasse Methoden enthaelt, deren Namen mit '`getActionClassFor`' beginnt und die keine Parameter erwarten und einen String zurueckgeben. Beim registrieren dieser Controls werden dann diese Methoden aufgerufen und, wenn der zurueckgegebene String weder `NULL` noch leer ist, der ActionManager mit diesem String versorgt. Die ausgelesene Klasse wird im ActionManager erzeugt und dann als Listener am Control registriert.

  Specified by:
    `registerViewActionControls` in interface `IController`
  Parameters:
    `view` - Die BusinessView deren ActionControls registriert werden sollen.
  Throws:
    `CreateActionException` - wenn beim erzeugen einer Action ein Fehler auftritt.
  See Also:
    `ActionManager.addAction(String, IActionInterface, BusinessView)`

### createMenu

    protected BusinessMenu createMenu(String propFile)

  Diese Methode erzeugt ein Menü aufgrund des Inhaltes einer Properties-Datei. In der Datei befindet sich der komplette Aufbau des Menüs inklusive Actionname, Tooltip, Shortcut und evtl. Bild. Als Beispiel für den Aufbau der Datei kann die Datei genommen werden, mit der das DefaultMenü erzeugt wird `[defaultmenu.properties]`. In diesem Menue wird dieser Controller als ActionListener registriert. Ueber die Methode `getMenue()` kann dieses Menue aber nicht mehr ausgelesen werden. Es wird nicht im Controller gespeichert.

  Parameters:
    `propFile` - Eine Datei mit dem Inhalt aus dem ein Menue generiert werden soll.
  Returns:
    Das Menue, das durch diesen Controller erzeugt und verwaltet wird.
  See Also:
    `BusinessMenu`

### createDefaultMenu

    protected void createDefaultMenu()

  Erzeugt ein Standardmenu mit den meistens benötigten Menüpunkten und speichert es in einer Instanzvaribalen des Controllers. Die Datei `defaultmenu.properties` enthält den Aufbau des Menüs.

  See Also:
    `BusinessMenu`, `createMenu(String)`

### getMenue

    protected BusinessMenu getMenue()

  Gibt die beim Initalisieren oder später mit der Methode `createDefaultMenu()` erzeugte Menüleiste zurück. Falls beim ersten Aufruf dieser Methode noch kein Menue erzeugt wurde, wird eines ueber die Methode `createDefaultMenu()` erzeugt.

  Returns:
    Das Menue, das durch diesen Controller erzeugt und verwaltet wird.
  See Also:
    `BusinessMenu`

### createPopup

    protected BusinessPopup createPopup(String propFile)

  Diese Methode erzeugt ein Popup-Menü aufgrund des Inhaltes einer Properties-Datei. In der Datei befindet sich der komplette Aufbau des Popup-Menüs inklusive Actionname, Tooltip, Shortcut und evtl. Bild. Als Beispiel für den Aufbau der Datei kann die Datei genommen werden, mit der das DefaultPopup erzeugt wird `[defaultpopup.properties]`. Fuer die einzelnen Menuepunkte wird dieser Controller als ActionListener registriert. Das ueber diese Methode erzeugte Popupmenue kann nicht ueber die Methode `getPopup()` ausgelesen werden, da es nicht im Controller zwischengespeichert wird.

  Parameters:
    `propFile` - Eine Datei mit deren Inhalt ein Popupmenue erzeugt werden soll.
  Returns:
    Das Popupmenue, das durch diesen Controller erzeugt und verwaltet wird.
  See Also:
    `BusinessPopup`

### createDefaultPopup

    protected void createDefaultPopup()

  Erzeugt ein Standardpopup mit den meistens benötigten Menüpunkten und speichert es in einer Instanzvaribalen des Controllers. Die Datei `defaultpopup.properties` enthält den Aufbau des Popup-Menues.

  See Also:
    `createPopup(String)`

### getPopup

    protected BusinessPopup getPopup()

  Gibt das mit der Methode `createPopup(String)` erzeugte Popupmenü zurück. Falls beim ersten Aufruf dieser Methode noch kein Menue erzeugt wurde wird eines ueber die Methode `createPopup(String)` erzeugt.

  Returns:
    Das durch diesen Controller erzeugte und verwaltete Popupmenue.
  See Also:
    `createPopup(String)`

### showPopup

    protected void showPopup(BusinessView view,
                             MouseEvent event)

  Zeig das Popup-Menü auf der uebergebenen BusinessView an. Das ist normalerweise die View die das Event ausgelöst hat. In diesem Event ist die Position der Maus zum Zeitpunkt des Mausklicks gespeichert. An dieser Position erscheint dann auch das Popupmenue mit der linken oberen Ecke.

  Parameters:
    `view` - Die View auf der das Popup-Menü erscheinen soll.
    `event` - Das ausgeloeste Mouse-Event.

### createToolbar

    protected BusinessToolbar createToolbar(String propFile)

  Diese Methode erzeugt eine Toolbar aufgrund des Inhaltes einer Properties-Datei. In der Datei befindet sich der komplette Aufbau der Toolbar inklusive Actionname, Tooltip, Shortcut und Bild. Fuer alle Buttons in der Toolbar wird dieser Controller als ActionListener registriert. Als Beispiel für den Aufbau der Datei kann die Datei genommen werden, mit der die DefaultToolbar erzeugt wird `[defaulttoolbar.properties]`. Die so erzeugte Toolbar kann nicht ueber die Methode `getToolbar()` geholt werden, da diese Toolbar nicht im Controller zwischengespeichert wird.

  Parameters:
    `propFile` - Die Datei die den Aufbau der Toolbar enthaelt.
  Returns:
    Die erzeugte und von diesem Controller verwaltete Toolbar.
  See Also:
    `BusinessToolbar`

### createDefaultToolbar

    protected void createDefaultToolbar()

  Erzeugt eine Standardtoolbar und speichert sie in einer Instanzvariablen des Controllers. Ueber die Methode `getToolbar()` kann es dann wieder ausgelesen werden. Die Datei `defaulttoolbar.properties` enthält den Aufbau der Toolbar.

  See Also:
    `createToolbar(String)`

### getToolbar

    protected BusinessToolbar getToolbar()

  Gibt die beim Initalisieren oder später mit der Methode `createDefaultToolbar()` erzeugte Toolbar zurück. Falls beim ersten Aufruf dieser Methode noch keine Toolbar erzeugt wurde, wird eine mit der Methode `createDefaultToolbar()` erzeugt.

  Returns:
    Die von diesem Controller erzeugte und verwaltete Toolbar.
  See Also:
    `createDefaultToolbar()`

### getView

    public BusinessView getView(String name)
                         throws ViewNotFoundException

  Holt aus der Tabelle mit den registrierten Views die unter dem übergebenem Namen registrierte View heraus. Wenn unter diesem Namen keine View vorhanden ist, wird eine Exception ausgelöst. Falls vorhanden, werden die zur View gehörende Model in einer Instanzvariablen gespeichert. Diese können dann ber die Methode `getAusgewaehlteModels()` ausgelesen werden. Wird als Name NULL übergeben, wird eine Exception ausgelöst. Die View wird auch in einer internen Variablen `getAusgewaehlteModels()` gespeichert bis zum naechsten Aufruf der Methode.

  Specified by:
    `getView` in interface `IController`
  Parameters:
    `name` - Der Name der View, die ausgelesen werden soll.
  Returns:
    Die unter dem uebergebenen Namen registrierte View.
  Throws:
    `ViewNotFoundException` - wenn unter dem übergebenen Namen keine View registriert ist.
    `IllegalArgumentException` - wenn NULL als `name` uebergeben wird.

### getAusgewaehlteModels

    public List getAusgewaehlteModels()

  Gibt, sofern vorhanden, die zur ausgewählten View gehörenden Models zurück. Die Models stecken in einer ArrayList. Falls zur ausgewaehlten View keine Models gehoeren, so wird `NULL` zurueckgegeben.

  Specified by:
    `getAusgewaehlteModels` in interface `IController`
  Returns:
    Eine List mit allen registrierten Models zur View oder NULL, falls es keine Models gibt.
  See Also:
    `getView(String)`

### getStatusArea

    protected DefaultStatusZeile getStatusArea()

  Gibt die DefaultstatusZeile zurück, die im Konstruktor angelegt wurde. Diese kann dann in einem Dialog oder einem Frame angezeigt werden.

  Returns:
    Die DefautStatusAnzeige des Controllers.

### setStatusText

    protected void setStatusText(String text)

  Setzt den Text für die Statuszeile.

  Parameters:
    `text` - Der Text der in der Statuszeile angezeigt werden soll.

### canExit

    public boolean canExit()

  Prüft, ob die Applikation beendet werden kann oder nicht(weil z.B. noch gespeichert werden muß). Hier wird als default `true` zurückgegeben. Ein entsprechender Test muß von abgeleiteten Klassen implementiert werden. Diese Methode wird von der `ExitAction` aufgerufen. Wenn die Methode TRUE zurueckgibt, so veranlasst die Action das beenden der VM mit `System.exit(0);`.

  Returns:
    Das Ergebnis der Pruefung, ob die Applikation beendet werden kann oder nicht. Hier wird immer `TRUE` zurueckgegeben.

### load

    public void load()

  Ruft in allen Models der ausgewaehlten View, sofern die View Models hat, die Methode `BusinessModel.load()` auf. Wenn beim laden ein Fehler auftritt, so wird dieser in der Messagelist gespeicert. Am Ende des Ladevorganges werden alle Fehlermeldungen angezeigt.

### save

    public void save()

  Ruft in allen Models der ausgewaehlten View, sofern die View Models hat, die Methode `BusinessModel.save()` auf. Wenn beim speichern ein Fehler auftritt, so wird dieser in der Messagelist gespeicert. Am Ende des Ladevorganges werden alle Fehlermeldungen angezeigt.

### saveAs

    public void saveAs()

  Ruft in allen Models der ausgewaehlten View, sofern die View Models hat, die Methode `BusinessModel.save_as()` auf. Wenn beim speichern ein Fehler auftritt, so wird dieser in der Messagelist gespeicert. Am Ende des Ladevorganges werden alle Fehlermeldungen angezeigt.

### print

    public void print()
               throws PrinterException

  Druckt eine Componente. Diese wird von der ausgewaehlten View zur Verfügung gestellt in der Methode `BusinessView.initPrintComponent()`. Wird diese Methode aufgerufen, bevor überhaupt eine View angezeigt wurde, so passiert nichts.

  Throws:
    `PrinterException`

### toggleToolbar

    public void toggleToolbar()

  Wird von den abgeleiteten Klassen überschrieben. Diese Methode schaltet die Toolbar sichtbar, wenn sie unsichtbar ist und unsichtbar, wenn sie sichtbar ist. Hier passiert nichts weiter. Eine entsprechende Implementierung findet sich in den Klassen `BusinessDialogController` und `BusinessFrameController`.

### toggleStatusArea

    public void toggleStatusArea()

  Wird von den Abgeleiteten klassen überschrieben. Diese Methode schaltet die StatusArea sichtbar, wenn sie unsichtbar ist und unsichtbar, wenn sie sichtbar ist. Hier passiert nichts weiter. Eine entsprechende Implementierung findet sich in den Klassen `BusinessDialogController` und `BusinessFrameController`.

### setLookAndFeel

    protected void setLookAndFeel(String lookAndFeel)

  Legt das Aussehen der Oberfläche fest. Als Parameter können die folgenden Werte übergeben übergeben werden:
  - `WINDOWS_LAF`
  - `METAL_LAF`
  - `MOTIF_LAF`
  - `FRAMEWORK_LAF`

    Diese Methode sollte aufgerufen werden, bevor die ersten grafischen Komponenten erzeugt wurden. Ansonsten gibt es probleme in der Darstellung der Oberflächen. Im Konstruktor des Controllers wird diese Methode ganz am Anfang aufgerufen und das LookAndFeel auf das Framework-LAF festgelegt. Falls zur Laufzeit umgeschaltet werden soll, so muss die komplette Oberfläche nach Aufruf dieser Methode mit einem Aufruf der Methode `SwingUtilities#updateComponentTreeUI(java.awt.Component)` neu gezeichnet werden. In den abgeleiteten Klassen `BusinessDialogController` und `BusinessFrameController` gibt es dafür eine passende Methode.

  Parameters:
    `lookAndFeel` - Das LookAndFeel fuer die Oberflaeche.
  See Also:
    `SwingUtilities.updateComponentTreeUI(java.awt.Component)`, `BusinessDialogController.changeLookAndFeel(String)`, `BusinessFrameController.changeLookAndFeel(String)`

### setDefaultLookAndFeel

    public void setDefaultLookAndFeel()

  Setzt das Default-LookAndFeel des benutzen Betriebssystems. Falls es ein solches nicht gibt, wird das DefaultJava-LookAndFeel benutzt.

### setLastLookAndFeel

    protected void setLastLookAndFeel()

  Aktiviert das letzte gesetzte LookAndFeel der Anwendung. Das kann sinnvoll sein, wenn das LAF der Anwendung nicht ueber die Methode `setLookAndFeel(String)` gesetzt wurde. Dann kann ueber diese Methode wieder auf das letzte aktive LAF umgeschaltet werden.

  See Also:
    `setLookAndFeel(String)`

### setStartUpStatus

    protected void setStartUpStatus(String s)

  Setzt den Statustext für das Startbild. Wenn die Anwendung gestartet wird, wird dieser Text dann im Splash-Screen angezeigt.

  Parameters:
    `s` - Der Text fuer den Splash-Screen.
  See Also:
    `StartUpPic.setStatusText(IProgressSender, String)`

### setStartUpProcent

    protected void setStartUpProcent(String procent)

  Setzt die prozentuale Anzeige der Fortschrittsanzeige. Die Fortschrittsanzeige wird im Splash-Screen beim Start einer Anwendung angezeigt, sofern das gewuenscht ist.

  Parameters:
    `procent` - Ein String mit der Prozentanzeige fuer den Fortschritt.
  See Also:
    `StartUpPic.setProgressProcent(IProgressSender, String)`

### getMessageList

    public MessageList getMessageList()

  Gibt die MessageList des Controllers zurück. In dieser koennen Fehler-, Status- und Hinweistexte gesetzt und angezeigt werden.

  Returns:
    Die Messagelist des Controllers.
  See Also:
    `MessageList`

### exceptionInAction

    public void exceptionInAction(AbstractAction action,
                                  Exception exception)

  Diese Methode wird aufgerufen, wenn in einer Action eine Exception aufgetreten ist. Die Exception ist auch schon in der MessageList des Controllers eingetragen. Hier kann jetzt entsprechend auf den Fehler reagiert werden.

  Parameters:
    `action` - Die Action, in der ein Fehler aufgetreten ist.
    `exception` - Die aufgetretene Exception.

### getActionManager

    public ActionManager getActionManager()

  Gibt den ActionManager des Controllers zurueck.

  Returns:
    Der ActionManasger des Controllers.

### createNew

    public void createNew()

  Wird von der `NewAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### close

    public void close()

  Wird von der `CloseAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### undo

    public void undo()

  Wird von der `UndoAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### redo

    public void redo()

  Wird von der `RedoAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### cut

    public void cut()

  Wird von der `CutAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### copy

    public void copy()

  Wird von der `CopyAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### paste

    public void paste()

  Wird von der `PasteAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### info

    public void info()

  Wird von der `InfoAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### about

    public void about()

  Wird von der `AboutAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### help

    public void help()

  Wird von der `HelpAction` aufgerufen. Diese Action gehoert zu den Standardmenues. Soll auf den betreffenden Menuepunkt oder den entsprechenden Toolbarbutton reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### edit

    public void edit()

  Wird von der `EditAction` aufgerufen. Diese Action gehoert zu den Standardpopupmenues. Soll auf den betreffenden Menuepunkt reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### show

    public void show()

  Wird von der `ShowAction` aufgerufen. Diese Action gehoert zu den Standardpopupmenues. Soll auf den betreffenden Menuepunkt reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

### delete

    public void delete()

  Wird von der `DeleteAction` aufgerufen. Diese Action gehoert zu den Standardpopupmenues. Soll auf den betreffenden Menuepunkt reagiert werden, so muss lediglich diese Methode ueberschrieben werden.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD